Proxy a GraphQL GET request
GET
/api/graphql/{path}
const url = 'https://example.com/api/graphql/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/graphql/example \ --header 'Authorization: Bearer <token>'Proxies a GET request to the backend GraphQL server for the given repository path.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”path
required
GraphQL backend path (typically the repository CACHE_ROOT)
string
Responses
Section titled “Responses”Proxied GraphQL response
Media typeapplication/json
object
Examplegenerated
{}